OGRE: Ogre::v1::HardwareCounterBufferSharedPtr Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Ogre::v1::HardwareCounterBufferSharedPtr Class Reference
Core » RenderSystem

Shared pointer implementation used to share counter buffers. More...

`#include <OgreHardwareCounterBuffer.h>`

Inheritance diagram for Ogre::v1::HardwareCounterBufferSharedPtr:
[legend]

## Public Types
typedef void(* | unspecified_bool_type) (SharedPtr ***)

## Public Member Functions
| HardwareCounterBufferSharedPtr ()
| HardwareCounterBufferSharedPtr (HardwareCounterBuffer *buf)
void | bind (HardwareCounterBuffer *rep, SharedPtrFreeMethod inFreeMethod=SPFM_DELETE)
| Binds rep to the SharedPtr. More...
SharedPtr< Y > | dynamicCast () const
HardwareCounterBuffer * | get () const
HardwareCounterBuffer * | getPointer () const
bool | isNull (void) const
| operator unspecified_bool_type () const
HardwareCounterBuffer & | operator* () const
HardwareCounterBuffer * | operator-> () const
void | reset (HardwareCounterBuffer *rep)
void | reset (void)
void | setNull ()
void | setUseCount (unsigned value)
SharedPtr< Y > | staticCast () const
bool | unique () const
unsigned int | use_count () const
unsigned int | useCount () const

## Static Public Member Functions
static void | unspecified_bool (SharedPtr ***)

## Detailed Description

Shared pointer implementation used to share counter buffers.

## Member Typedef Documentation

## ◆ unspecified_bool_type

typedef void(* Ogre::SharedPtr< HardwareCounterBuffer >::unspecified_bool_type) (SharedPtr ***)
| inherited

## Member Function Documentation

## ◆ bind()

void Ogre::SharedPtr< HardwareCounterBuffer >::bind | ( | HardwareCounterBuffer * | rep,
|  | SharedPtrFreeMethod | inFreeMethod = `SPFM_DELETE`
| ) |  |
| inlineinherited

Binds rep to the SharedPtr.

Remarks
  Assumes that the SharedPtr is uninitialised!

Warning
  The object must not be bound into a SharedPtr elsewhere

Deprecated:
  this api will be dropped. use reset(T*) instead

## ◆ dynamicCast()

SharedPtr<Y> Ogre::SharedPtr< HardwareCounterBuffer >::dynamicCast
| inlineinherited

Deprecated:
  use Ogre::dynamic_pointer_cast instead

## ◆ get()

HardwareCounterBuffer * Ogre::SharedPtr< HardwareCounterBuffer >::get | ( | void |  | ) |
| inlineinherited

## ◆ getPointer()

HardwareCounterBuffer * Ogre::SharedPtr< HardwareCounterBuffer >::getPointer
| inlineinherited

Deprecated:
  use get() instead

## ◆ isNull()

bool Ogre::SharedPtr< HardwareCounterBuffer >::isNull | ( | void |  | ) | const
| inlineinherited

Deprecated:
  use SharedPtr::operator unspecified_bool_type() instead

## ◆ operator unspecified_bool_type()

Ogre::SharedPtr< HardwareCounterBuffer >::operator unspecified_bool_type
| inlineinherited

## ◆ operator*()

HardwareCounterBuffer & Ogre::SharedPtr< HardwareCounterBuffer >::operator*
| inlineinherited

## ◆ operator->()

HardwareCounterBuffer * Ogre::SharedPtr< HardwareCounterBuffer >::operator->
| inlineinherited

## ◆ reset() [1/2]

void Ogre::SharedPtr< HardwareCounterBuffer >::reset | ( | HardwareCounterBuffer * | rep | ) |
| inlineinherited

## ◆ reset() [2/2]

void Ogre::SharedPtr< HardwareCounterBuffer >::reset | ( | void |  | ) |
| inlineinherited

## ◆ setNull()

void Ogre::SharedPtr< HardwareCounterBuffer >::setNull
| inlineinherited

Deprecated:
  use reset() instead

## ◆ setUseCount()

void Ogre::SharedPtr< HardwareCounterBuffer >::setUseCount | ( | unsigned | value | ) |
| inlineinherited

Deprecated:
  this API will be dropped

## ◆ staticCast()

SharedPtr<Y> Ogre::SharedPtr< HardwareCounterBuffer >::staticCast
| inlineinherited

Deprecated:
  use Ogre::static_pointer_cast instead

## ◆ unique()

bool Ogre::SharedPtr< HardwareCounterBuffer >::unique
| inlineinherited

## ◆ unspecified_bool()

static void Ogre::SharedPtr< HardwareCounterBuffer >::unspecified_bool | ( | SharedPtr< HardwareCounterBuffer > *** |  | ) |
| inlinestaticinherited

## ◆ use_count()

unsigned int Ogre::SharedPtr< HardwareCounterBuffer >::use_count
| inlineinherited

## ◆ useCount()

unsigned int Ogre::SharedPtr< HardwareCounterBuffer >::useCount
| inlineinherited

Deprecated:
  use use_count() instead

The documentation for this class was generated from the following file:

- OgreHardwareCounterBuffer.h